Package org.eclipse.microprofile.fault.tolerance.tck.extension

# Class AwaitilityArchiveAppender

java.lang.Object
org.jboss.arquillian.container.test.spi.client.deployment.CachedAuxilliaryArchiveAppender
org.eclipse.microprofile.fault.tolerance.tck.extension.AwaitilityArchiveAppender

All Implemented Interfaces:
  `org.jboss.arquillian.container.test.spi.client.deployment.AuxiliaryArchiveAppender`

public class AwaitilityArchiveAppender extends org.jboss.arquillian.container.test.spi.client.deployment.CachedAuxilliaryArchiveAppender
Adds a jar containing the awaitility packages

## Constructor Summary

Constructors
Constructor
Description
`AwaitilityArchiveAppender()`

## Method Summary

Modifier and Type
Method
Description
`protected org.jboss.shrinkwrap.api.Archive<?>`
`buildArchive()`

### Methods inherited from class org.jboss.arquillian.container.test.spi.client.deployment.CachedAuxilliaryArchiveAppender

`createAuxiliaryArchive`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AwaitilityArchiveAppender

public AwaitilityArchiveAppender()

## Method Details

### buildArchive

protected org.jboss.shrinkwrap.api.Archive<?> buildArchive()

Specified by:
  `buildArchive` in class `org.jboss.arquillian.container.test.spi.client.deployment.CachedAuxilliaryArchiveAppender`